### Hierarchy

- unknown
  - LockWalletRequest

## Index

### Constructors

- constructor

### Methods

- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new LockWalletRequest(): LockWalletRequest

- Inherited from jspb.Message.constructor

  #### Returns LockWalletRequest

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3650

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): LockWalletRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3651

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns LockWalletRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): LockWalletRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3654

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns LockWalletRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: LockWalletRequest, reader: BinaryReader): LockWalletRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3655

  #### Parameters

  - ##### message: LockWalletRequest

  - ##### reader: BinaryReader

  #### Returns LockWalletRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: LockWalletRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3653

  #### Parameters

  - ##### message: LockWalletRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: LockWalletRequest ): LockWalletRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3652

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: LockWalletRequest

  #### Returns LockWalletRequest . AsObject

Generated using TypeDoc